ping_pong
1
ctdb
CTDB - clustered TDB database

# ping_pong

measures the ping-pong byte range lock latency

          ping_pong

    	-r
    	-w
    	-rw

          -m
          -c
          FILENAME
          NUM-LOCKS

## DESCRIPTION

ping_pong measures the byte range lock latency. It is especially useful on a cluster of nodes sharing a common lock manager as it will give some indication of the lock manager's performance under stress.

FILENAME is a file on shared storage to use for byte range locking tests.

NUM-LOCKS is the number of byte range locks, so needs to be (strictly) greater than the number of nodes in the cluster.

## OPTIONS

-r

  test read performance

-w

  test write performance

-m

  use mmap

-c

  validate the locks

## EXAMPLES

Testing lock coherence

          ping_pong test.dat N

Testing lock coherence with lock validation

          ping_pong -c test.dat N

Testing IO coherence

          ping_pong -rw test.dat N

## SEE ALSO

ctdb 7,

This documentation was written by Mathieu Parent
2002
Andrew Tridgell

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, see .